Bug 51332 - Poor defaults for tripwire
Summary: Poor defaults for tripwire
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tripwire   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-09 15:53 UTC by Mark H Johnson
Modified: 2007-03-27 03:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 21:31:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Errors from tripwire --init (12.74 KB, text/plain)
2001-08-09 15:55 UTC, Mark H Johnson
no flags Details

Description Mark H Johnson 2001-08-09 15:53:00 UTC
Description of Problem:
Installed roswell (all packages). Tripwire was apparently included &
configured into the daily cron job. Email to root indicates it is not set
up properly (and sort of explained how...).

Did the first step...
  /etc/tripwire/twinstall.sh
No indication after that was complete that more was needed to be done.
Email to root the next day....

Did the second step...
  tripwire --init
Error seen as follows...
### Error: File could not be opened.
### Filename: /usr/sbin/tw.cfg
### No such file or directory
### Configuration file could not be read.
### Exiting...
OK, tried this...
  cp /etc/tripwire/tw.cfg /usr/sbin/tw.cfg
  tripwire --init
A gazillion messages ensue some time later [see attachment].

At this point, I'm wondering if I should turn it off, or if I really got it
installed OK. I guess I'll find out tomorrow.

Can the defaults be improved to either (or all)...
 [1] when added to cron.daily, require configuration (or at least tell me
it is needed during installation)
 [2] make the default configuration match what Red Hat 7.2 installs

How Reproducible:
Install "all packages" in roswell and follow the description above.

Steps to Reproduce:
1. [see above]
2. 
3. 

Actual Results:
See above & attachment.

Expected Results:
Tripwire be properly configured prior to addition to cron.daily.

Additional Information:

Comment 1 Mark H Johnson 2001-08-09 15:55:16 UTC
Created attachment 27054 [details]
Errors from tripwire --init

Comment 2 Glen Foster 2001-08-09 20:10:13 UTC
We (Red Hat) should really try to fix this before next release.

Comment 3 Mike A. Harris 2001-08-15 12:24:52 UTC
Nalin, you commented something to me about tripwire a week ago or
so, was this the problem fixed?

Comment 4 Nalin Dahyabhai 2001-08-15 19:21:23 UTC
Oops, yes.  This should be fixed in 2.3.1-5 and later.  Marking as MODIFIED for
verification.

Comment 5 Mike A. Harris 2001-08-15 19:30:50 UTC
Thanks Nalin.


Note You need to log in before you can comment on or make changes to this bug.